<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.njzscloud</groupId>
    <artifactId>njzscloud-dispose</artifactId>
    <version>0.0.1</version>
    <packaging>pom</packaging>

    <modules>
        <module>njzscloud-common</module>
        <module>njzscloud-svr</module>
    </modules>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
        <maven.test.skip>true</maven.test.skip>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

        <maven-resources-plugin.version>3.3.1</maven-resources-plugin.version>

        <spring-boot.version>3.5.7</spring-boot.version>

        <mybatis-plus.version>3.5.14</mybatis-plus.version>

        <fastjson2.version>2.0.51</fastjson2.version>
        <easyexcel.version>4.0.3</easyexcel.version>
        <hutool.version>5.8.41</hutool.version>
        <cglib.version>3.3.0</cglib.version>
        <okhttp.version>4.12.0</okhttp.version>
        <minio.version>8.6.0</minio.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-core</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-ws</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-sshtunnel</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-sichen</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-wechat</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-http</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-sn</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-mp</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-mvc</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-cache</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-redis</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-oss</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-security</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-gen</artifactId>
                <version>0.0.1</version>
            </dependency>
            <dependency>
                <groupId>com.njzscloud</groupId>
                <artifactId>njzscloud-common-mqtt</artifactId>
                <version>0.0.1</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>
            <dependency>
                <groupId>io.minio</groupId>
                <artifactId>minio</artifactId>
                <version>${minio.version}</version>
            </dependency>
            <dependency>
                <groupId>cglib</groupId>
                <artifactId>cglib</artifactId>
                <version>${cglib.version}</version>
            </dependency>

            <dependency>
                <groupId>com.squareup.okhttp3</groupId>
                <artifactId>okhttp</artifactId>
                <version>${okhttp.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>easyexcel</artifactId>
                <version>${easyexcel.version}</version>
            </dependency>

            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>1.18.30</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-bom</artifactId>
                <version>${hutool.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-bom</artifactId>
                <version>${mybatis-plus.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <finalName>${project.name}-${project.version}</finalName>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
                <excludes>
                    <exclude>cert/**</exclude>
                </excludes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <includes>
                    <include>cert/**</include>
                </includes>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>${maven-resources-plugin.version}</version>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <nonFilteredFileExtensions>
                        <nonFilteredFileExtension>pdf</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ico</nonFilteredFileExtension>
                        <nonFilteredFileExtension>eot</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ttf</nonFilteredFileExtension>
                        <nonFilteredFileExtension>woff</nonFilteredFileExtension>
                        <nonFilteredFileExtension>woff2</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ftl</nonFilteredFileExtension>
                        <nonFilteredFileExtension>css</nonFilteredFileExtension>
                        <nonFilteredFileExtension>svg</nonFilteredFileExtension>
                        <nonFilteredFileExtension>js</nonFilteredFileExtension>
                        <nonFilteredFileExtension>otf</nonFilteredFileExtension>
                    </nonFilteredFileExtensions>
                </configuration>
            </plugin>
        </plugins>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <version>${spring-boot.version}</version>
                    <executions>
                        <execution>
                            <goals>
                                <goal>repackage</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>
